COMAC-176 Add sample configs for kubespray and OMEC for 3-nodes single cluster

Also move OMEC specific scripts from general scripts to comac directory.

Change-Id: I9fe71a288de39beef5175929ee8ae3bda3a298f7
diff --git a/comac/sample/kubespray-inventory/extra-vars.yaml b/comac/sample/kubespray-inventory/extra-vars.yaml
new file mode 100644
index 0000000..c4549ab
--- /dev/null
+++ b/comac/sample/kubespray-inventory/extra-vars.yaml
@@ -0,0 +1,55 @@
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Sample kubespray override variables for COMAC deploy.
+# Pass this file as an extra variables when running kubespray. For example,
+# ansible-playbook -b -i inventory/comac/hosts.ini -e @inventory/comac/extra-vars.yaml cluster.yml
+# Tested with Kubespray release-2.11
+
+# OS
+disable_swap: true
+populate_inventory_to_hosts_file: true
+
+# etcd
+etcd_deployment_type: docker
+etcd_memory_limit: 8192M
+
+# Docker
+docker_iptables_enabled: true
+
+# K8S
+kubeadm_enabled: true
+kubelet_deployment_type: host
+kubectl_localhost: true
+kubeconfig_localhost: true
+
+kube_feature_gates: [SCTPSupport=True]
+kube_pods_subnet: 172.18.0.0/17
+kube_service_addresses: 172.18.128.0/17
+kube_apiserver_node_port_range: 2000-36767
+kube_network_plugin: calico
+kube_network_plugin_multus: true
+multus_version: stable
+ipip: false
+
+local_volume_provisioner_enabled: true
+
+# Applications
+dns_mode: coredns
+dns_cores_per_replica: 256
+dns_min_replicas: 1
+
+helm_enabled: true
+helm_deployment_type: host
+helm_version: v2.14.2
diff --git a/comac/sample/kubespray-inventory/group_vars b/comac/sample/kubespray-inventory/group_vars
new file mode 120000
index 0000000..a30ba68
--- /dev/null
+++ b/comac/sample/kubespray-inventory/group_vars
@@ -0,0 +1 @@
+../sample/group_vars
\ No newline at end of file
diff --git a/comac/sample/kubespray-inventory/hosts.ini b/comac/sample/kubespray-inventory/hosts.ini
new file mode 100644
index 0000000..06be3e8
--- /dev/null
+++ b/comac/sample/kubespray-inventory/hosts.ini
@@ -0,0 +1,50 @@
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+[all]
+node1 ansible_host=10.0.0.240 etcd_member_name=etcd1
+node2 ansible_host=10.0.0.241 etcd_member_name=etcd2
+node3 ansible_host=10.0.0.242 etcd_member_name=etcd3
+
+[kube-master]
+node1
+node2
+node3
+
+[etcd]
+node1
+node2
+node3
+
+[kube-node]
+node1
+node2
+node3
+
+[k8s-cluster:children]
+kube-master
+kube-node
+
+[omec-cp]
+node1
+node2
+
+[omec-dp]
+node3
+
+[omec-cp:vars]
+node_labels={"omec-cp":"enabled"}
+
+[omec-dp:vars]
+node_labels={"omec-dp":"enabled"}
diff --git a/comac/sample/omec-override-values-multi.yaml b/comac/sample/omec-override-values-multi.yaml
new file mode 100644
index 0000000..a3db256
--- /dev/null
+++ b/comac/sample/omec-override-values-multi.yaml
@@ -0,0 +1,400 @@
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Sample override values for 3-nodes cluster with SR-IOV configured on DP node.
+cassandra:
+  config:
+    cluster_size: 1
+
+config:
+  sriov:
+    resourceList:
+      vfio:
+        pfNames:
+          - eth2
+      netDevice:
+        pfNames:
+          - eth2
+        drivers:
+          - ixgbevf
+  mme:
+    cfgFiles:
+      config.json:
+        mme:
+          mcc:
+            dig1: 7
+            dig2: 3
+            dig3: 2
+          mnc:
+            dig1: 1
+            dig2: 1
+            dig3: 1
+  hss:
+    bootstrap:
+      enabled: true
+      users:
+        imsi: "732111000000420"
+        msisdn: "1122334455"
+        apn: apn1
+        key: "000102030405060708090a0b0c0d0e0f"
+        opc: "69d5c2eb2e2e624750541d3bbc692ba5"
+        numbers: 2
+      mme:
+        id: 1
+        isdn: "19136246000"
+        unreachability: 1
+  spgwu:
+    cpComm:
+      addr: 10.90.0.131
+      port: 30021
+    dpComm:
+      nodePort:
+        enabled: true
+        port: 30020
+  spgwc:
+    cpComm:
+      nodePort:
+        enabled: true
+        port: 30021
+    dpComm:
+      addr: 10.90.0.151
+      port: 30020
+    cfgFiles:
+      adc_rules.cfg: |
+        [GLOBAL]
+        NUM_ADC_RULES = 5
+
+        [ADC_RULE_1]
+        ADC_TYPE = 1
+        IP = 13.1.1.111
+
+        [ADC_RULE_2]
+        ADC_TYPE = 2
+        IP = 13.1.1.0
+        PREFIX = 24
+
+        [ADC_RULE_3]
+        ADC_TYPE = 1
+        IP = 13.1.1.112
+        PREFIX = 24
+
+        [ADC_RULE_4]
+        ADC_TYPE = 0
+        DOMAIN = www.example.gov
+
+        [ADC_RULE_5]
+        ADC_TYPE = 0
+        DOMAIN = www.drop_example.com
+      meter_profile.cfg: |
+        [GLOBAL]
+        NUM_OF_IDX = 7
+
+        [ENTRY_1]
+        ;Committed Information Rate (CIR). Measured in bytes per second.
+        ;MBR is mapped into CIR, convert MBR from bits to Bytes and set CIR.
+        CIR = 2342400
+        ;Committed Burst Size unit = Bytes
+        CBS = 5856
+        ;Excess Burst Size unit = Bytes
+        EBS = 11712
+        ;Meter profile index. Refer this index in static_pcc.cfg to set AMBR/MBR
+        MTR_PROFILE_IDX = 3
+
+        [ENTRY_2]
+        ;1200 = 1756800
+        ;1400 = 2049600
+        ;1600 = 2342400
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 4
+
+        [ENTRY_3]
+        ; QCI5,QCI7 15.571kbps = 1947 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 5
+
+        [ENTRY_4]
+        ; QCI1, 44kbps = 5500 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 6
+
+        [ENTRY_5]
+        ; QCI9, 31.143kbps = 3893 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 7
+
+        [ENTRY_6]
+        ; 128B, 7pps
+        CIR = 2342400
+        CBS = 512
+        EBS = 1024
+        MTR_PROFILE_IDX = 8
+
+        [ENTRY_7]
+        ; 128B, 2pps
+        CIR = 2342400
+        CBS = 512
+        EBS = 1024
+        MTR_PROFILE_IDX = 9
+
+      pcc_rules.cfg: |
+        [GLOBAL]
+        NUM_PCC_FILTERS = 9
+        ;To config AMBR/MBR values refer meter_profile.cfg. specify only the
+        ;meter profile index to be set here.
+        UL_AMBR_MTR_PROFILE_IDX = 3
+        DL_AMBR_MTR_PROFILE_IDX = 4
+
+        ;default filter - must be first for now (until DP doesn't install any filters)
+        ;associated with default adc rule
+        [PCC_FILTER_1]
+        RULE_NAME = DefaultRule
+        RATING_GROUP = 9
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 1
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 254
+        DROP_PKT_COUNT = 0
+        ;Specify the meter profile index from meter_profile.cfg
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of ADC filter indices
+        SDF_FILTER_IDX = 99998
+
+        [PCC_FILTER_2]
+        RULE_NAME = sdf_rule_1
+        RATING_GROUP = 5
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 2
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 1
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 5
+        DL_MBR_MTR_PROFILE_IDX = 5
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 1
+
+        [PCC_FILTER_3]
+        RULE_NAME = sdf_rule_2
+        RATING_GROUP = 1
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 3
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 18
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 6
+        DL_MBR_MTR_PROFILE_IDX = 6
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 2
+
+        [PCC_FILTER_4]
+        RULE_NAME = adc_rule_1
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Internet
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 8
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        REDIRECT_INFO = 0
+        SPONSOR_ID = Example
+        PRECEDENCE = 15
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 1
+
+        [PCC_FILTER_5]
+        RULE_NAME = adc_rule_2
+        RATING_GROUP = 0
+        SERVICE_ID = CIPA
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 9
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 4
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 0
+        DL_MBR_MTR_PROFILE_IDX = 0
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 2
+
+        [PCC_FILTER_6]
+        RULE_NAME = sdf_rule_3
+        RATING_GROUP = 7
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 4
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 17
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 5
+        DL_MBR_MTR_PROFILE_IDX = 5
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 3
+
+        [PCC_FILTER_7]
+        RULE_NAME = adc_rule_3
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Internet
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 5
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 210
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 4
+
+        [PCC_FILTER_8]
+        RULE_NAME = adc_rule_4
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Management
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 6
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 200
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 12
+
+        [PCC_FILTER_9]
+        RULE_NAME = adc_rule_5
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Provisioning
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 7
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 220
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 3
+      sdf_rules.cfg: |
+        [GLOBAL]
+        NUM_SDF_FILTERS = 4
+
+        [SDF_FILTER_1]
+        DIRECTION = downlink_only
+        IPV4_REMOTE = 13.2.1.113
+        IPV4_REMOTE_MASK = 255.255.255.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 0
+        LOCAL_HIGH_LIMIT_PORT = 65535
+        REMOTE_LOW_LIMIT_PORT = 0
+        REMOTE_HIGH_LIMIT_PORT = 65535
+
+        [SDF_FILTER_2]
+        DIRECTION = uplink_only
+        IPV4_LOCAL = 16.255.255.0
+        IPV4_LOCAL_MASK = 255.255.255.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 0
+        LOCAL_HIGH_LIMIT_PORT = 65535
+        REMOTE_LOW_LIMIT_PORT = 0
+        REMOTE_HIGH_LIMIT_PORT = 65535
+
+        [SDF_FILTER_3]
+        DIRECTION = downlink_only
+        IPV4_REMOTE = 130.10.0.0
+        IPV4_REMOTE_MASK = 255.255.0.0
+        PROTOCOL = 17
+        REMOTE_LOW_LIMIT_PORT = 5060
+        REMOTE_HIGH_LIMIT_PORT = 5060
+
+        [SDF_FILTER_4]
+        DIRECTION = uplink_only
+        IPV4_REMOTE = 103.1.0.0
+        IPV4_REMOTE_MASK = 255.255.0.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 17000
+        LOCAL_HIGH_LIMIT_PORT = 17010
+
+nodeSelectors:
+  enabled: true
diff --git a/comac/sample/omec-override-values.yaml b/comac/sample/omec-override-values.yaml
new file mode 100644
index 0000000..0ec90b0
--- /dev/null
+++ b/comac/sample/omec-override-values.yaml
@@ -0,0 +1,385 @@
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Sample override values for 3-nodes cluster with SR-IOV configured on DP node.
+cassandra:
+  config:
+    cluster_size: 1
+
+config:
+  sriov:
+    resourceList:
+      vfio:
+        pfNames:
+          - eth2
+      netDevice:
+        pfNames:
+          - eth2
+        drivers:
+          - ixgbevf
+  mme:
+    cfgFiles:
+      config.json:
+        mme:
+          mcc:
+            dig1: 7
+            dig2: 3
+            dig3: 2
+          mnc:
+            dig1: 1
+            dig2: 1
+            dig3: 1
+  hss:
+    bootstrap:
+      enabled: true
+      users:
+        imsi: "732111000000420"
+        msisdn: "1122334455"
+        apn: apn1
+        key: "000102030405060708090a0b0c0d0e0f"
+        opc: "69d5c2eb2e2e624750541d3bbc692ba5"
+        numbers: 2
+      mme:
+        id: 1
+        isdn: "19136246000"
+        unreachability: 1
+  spgwc:
+    cfgFiles:
+      adc_rules.cfg: |
+        [GLOBAL]
+        NUM_ADC_RULES = 5
+
+        [ADC_RULE_1]
+        ADC_TYPE = 1
+        IP = 13.1.1.111
+
+        [ADC_RULE_2]
+        ADC_TYPE = 2
+        IP = 13.1.1.0
+        PREFIX = 24
+
+        [ADC_RULE_3]
+        ADC_TYPE = 1
+        IP = 13.1.1.112
+        PREFIX = 24
+
+        [ADC_RULE_4]
+        ADC_TYPE = 0
+        DOMAIN = www.example.gov
+
+        [ADC_RULE_5]
+        ADC_TYPE = 0
+        DOMAIN = www.drop_example.com
+
+      meter_profile.cfg: |
+        [GLOBAL]
+        NUM_OF_IDX = 7
+
+        [ENTRY_1]
+        ;Committed Information Rate (CIR). Measured in bytes per second.
+        ;MBR is mapped into CIR, convert MBR from bits to Bytes and set CIR.
+        CIR = 2342400
+        ;Committed Burst Size unit = Bytes
+        CBS = 5856
+        ;Excess Burst Size unit = Bytes
+        EBS = 11712
+        ;Meter profile index. Refer this index in static_pcc.cfg to set AMBR/MBR
+        MTR_PROFILE_IDX = 3
+
+        [ENTRY_2]
+        ;1200 = 1756800
+        ;1400 = 2049600
+        ;1600 = 2342400
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 4
+
+        [ENTRY_3]
+        ; QCI5,QCI7 15.571kbps = 1947 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 5
+
+        [ENTRY_4]
+        ; QCI1, 44kbps = 5500 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 6
+
+        [ENTRY_5]
+        ; QCI9, 31.143kbps = 3893 B
+        CIR = 2342400
+        CBS = 5856
+        EBS = 11712
+        MTR_PROFILE_IDX = 7
+
+        [ENTRY_6]
+        ; 128B, 7pps
+        CIR = 2342400
+        CBS = 512
+        EBS = 1024
+        MTR_PROFILE_IDX = 8
+
+        [ENTRY_7]
+        ; 128B, 2pps
+        CIR = 2342400
+        CBS = 512
+        EBS = 1024
+        MTR_PROFILE_IDX = 9
+      pcc_rules.cfg: |
+        [GLOBAL]
+        NUM_PCC_FILTERS = 9
+        ;To config AMBR/MBR values refer meter_profile.cfg. specify only the
+        ;meter profile index to be set here.
+        UL_AMBR_MTR_PROFILE_IDX = 3
+        DL_AMBR_MTR_PROFILE_IDX = 4
+
+        ;default filter - must be first for now (until DP doesn't install any filters)
+        ;associated with default adc rule
+        [PCC_FILTER_1]
+        RULE_NAME = DefaultRule
+        RATING_GROUP = 9
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 1
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 254
+        DROP_PKT_COUNT = 0
+        ;Specify the meter profile index from meter_profile.cfg
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of ADC filter indices
+        SDF_FILTER_IDX = 99998
+
+        [PCC_FILTER_2]
+        RULE_NAME = sdf_rule_1
+        RATING_GROUP = 5
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 2
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 1
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 5
+        DL_MBR_MTR_PROFILE_IDX = 5
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 1
+
+        [PCC_FILTER_3]
+        RULE_NAME = sdf_rule_2
+        RATING_GROUP = 1
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 3
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 18
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 6
+        DL_MBR_MTR_PROFILE_IDX = 6
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 2
+
+        [PCC_FILTER_4]
+        RULE_NAME = adc_rule_1
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Internet
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 8
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        REDIRECT_INFO = 0
+        SPONSOR_ID = Example
+        PRECEDENCE = 15
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 1
+
+        [PCC_FILTER_5]
+        RULE_NAME = adc_rule_2
+        RATING_GROUP = 0
+        SERVICE_ID = CIPA
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 9
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 4
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 0
+        DL_MBR_MTR_PROFILE_IDX = 0
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 2
+
+        [PCC_FILTER_6]
+        RULE_NAME = sdf_rule_3
+        RATING_GROUP = 7
+        SERVICE_ID = 0
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 4
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = 0
+        REDIRECT_INFO = 0
+        PRECEDENCE = 17
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 5
+        DL_MBR_MTR_PROFILE_IDX = 5
+        ;List of SDF filter indices
+        SDF_FILTER_IDX = 3
+
+        [PCC_FILTER_7]
+        RULE_NAME = adc_rule_3
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Internet
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 5
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 210
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 4
+
+        [PCC_FILTER_8]
+        RULE_NAME = adc_rule_4
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Management
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 6
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 200
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 12
+
+        [PCC_FILTER_9]
+        RULE_NAME = adc_rule_5
+        RATING_GROUP = Zero-Rate
+        SERVICE_ID = Provisioning
+        RULE_STATUS = 0
+        GATE_STATUS = 1
+        SESSION_CONT = 0
+        REPORT_LEVEL = 7
+        CHARGING_MODE = 0
+        METERING_METHOD = 0
+        MUTE_NOTIFY = 0
+        MONITORING_KEY = 0
+        SPONSOR_ID = Example
+        REDIRECT_INFO = 0
+        PRECEDENCE = 220
+        DROP_PKT_COUNT = 0
+        UL_MBR_MTR_PROFILE_IDX = 7
+        DL_MBR_MTR_PROFILE_IDX = 7
+        ;List of SDF filter indices
+        ADC_FILTER_IDX = 3
+      sdf_rules.cfg: |
+        [GLOBAL]
+        NUM_SDF_FILTERS = 4
+
+        [SDF_FILTER_1]
+        DIRECTION = downlink_only
+        IPV4_REMOTE = 13.2.1.113
+        IPV4_REMOTE_MASK = 255.255.255.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 0
+        LOCAL_HIGH_LIMIT_PORT = 65535
+        REMOTE_LOW_LIMIT_PORT = 0
+        REMOTE_HIGH_LIMIT_PORT = 65535
+
+        [SDF_FILTER_2]
+        DIRECTION = uplink_only
+        IPV4_LOCAL = 16.255.255.0
+        IPV4_LOCAL_MASK = 255.255.255.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 0
+        LOCAL_HIGH_LIMIT_PORT = 65535
+        REMOTE_LOW_LIMIT_PORT = 0
+        REMOTE_HIGH_LIMIT_PORT = 65535
+
+        [SDF_FILTER_3]
+        DIRECTION = downlink_only
+        IPV4_REMOTE = 130.10.0.0
+        IPV4_REMOTE_MASK = 255.255.0.0
+        PROTOCOL = 17
+        REMOTE_LOW_LIMIT_PORT = 5060
+        REMOTE_HIGH_LIMIT_PORT = 5060
+
+        [SDF_FILTER_4]
+        DIRECTION = uplink_only
+        IPV4_REMOTE = 103.1.0.0
+        IPV4_REMOTE_MASK = 255.255.0.0
+        PROTOCOL = 17
+        LOCAL_LOW_LIMIT_PORT = 17000
+        LOCAL_HIGH_LIMIT_PORT = 17010
+
+nodeSelectors:
+  enabled: true
diff --git a/comac/scripts/node-setup.sh b/comac/scripts/node-setup.sh
new file mode 100755
index 0000000..a39560d
--- /dev/null
+++ b/comac/scripts/node-setup.sh
@@ -0,0 +1,168 @@
+#!/bin/bash
+
+# Copyright 2019-present Open Networking Foundation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+SRIOV_PF=${1:?"Specify SR-IOV interface name as argv[1]"}
+NR_HUGEPAGE=32
+
+if [ "$(id -u)" != "0" ]; then
+        echo "FAIL: You should run this as root."
+        echo "HINT: sudo $0 $SRIOV_PF"
+        exit 1
+fi
+
+grub_updated=0
+function update_grub_cmdline {
+        local param=$1
+        IFS='=' read -r key value <<< "$param"
+        if ! grep -q "$key"= /etc/default/grub; then
+                sed -i "s/^GRUB_CMDLINE_LINUX=\"/&${param} /" /etc/default/grub
+        else
+                sed -i "s/\\(${key}=\\)\\w*/\\1${value}/g" /etc/default/grub
+        fi
+        echo "      Added \"${param}\" is to kernel parameters"
+        grub_updated=1
+}
+
+function check_vf {
+        local pfpci
+        local num_vfs
+
+        pfpci=$(readlink /sys/devices/pci*/*/*/net/"$SRIOV_PF"/device | awk '{print substr($1,10)}')
+        num_vfs=$(cat /sys/class/net/"$SRIOV_PF"/device/sriov_numvfs)
+        if [ "$num_vfs" = "0" ]; then
+                echo "INFO: SR-IOV VF does not exist"
+                return 1
+        fi
+
+        local vfpci
+        local driver
+        for ((idx = 0; idx < num_vfs; idx++)); do
+                local vfn="virtfn$idx"
+                # shellcheck disable=SC2012
+                vfpci=$(ls -l /sys/devices/pci*/*/"$pfpci" | awk -v vfn=$vfn 'vfn==$9 {print substr($11,4)}')
+                driver=$(lspci -vvv -s "$vfpci" | grep "Kernel driver in use" | awk '{print $5}')
+                if [ "$driver" != "vfio-pci" ]; then
+                        echo "INFO: SR-IOV VF $idx does not exist or is not binded to vfio-pci"
+                        return 1
+                fi
+        done
+        return 0
+}
+
+# Check hardware virtualization is enabled
+# --------------------------
+virt=$(grep -E -m1 -w '^flags[[:blank:]]*:' /proc/cpuinfo | grep -E -wo '(vmx|svm)') || true
+if [ -z "$virt" ]; then
+        echo "FATAL: Your CPU does not support hardware virtualization."
+        exit 1
+fi
+
+msr="/dev/cpu/0/msr"
+if [ ! -r "$msr" ]; then
+        modprobe msr
+fi
+
+disabled=0
+if [ "$virt" = "vmx" ]; then
+        BIT=$(rdmsr --bitfield 0:0 0x3a 2>/dev/null || true)
+        if [ "$BIT" = "1" ]; then
+                BIT=$(rdmsr --bitfield 2:2 0x3a 2>/dev/null || true)
+                if [ "$BIT" = "0" ]; then
+                        disabled=1
+                fi
+        fi
+elif [ "$virt" = "svm" ]; then
+        BIT=$(rdmsr --bitfield 4:4 0xc0010114 2>/dev/null || true)
+        if [ "$BIT" = "1" ]; then
+                disabled=1
+        fi
+else
+        echo "FATAL: Unknown virtualization extension: $virt."
+        exit 1
+fi
+
+if [ "$disabled" -eq 1 ]; then
+        echo "FAIL: $virt is disabled by BIOS"
+        echo "HINT: Enter your BIOS setup and enable Virtualization Technology (VT),"
+        echo "      and then hard poweroff/poweron your system"
+else
+        echo "  OK: $virt is enabled"
+fi
+
+# Ensure IOMMU is enabled
+# --------------------------
+if ! compgen -G "/sys/class/iommu/*/devices" > /dev/null; then
+        disabled=1
+        echo "INFO: IOMMU is disabled"
+        update_grub_cmdline "intel_iommu=on"
+else
+        echo "  OK: IOMMU is enabled"
+fi
+
+# Ensure hugepage is enabled
+# --------------------------
+hugepage=$(grep -i HugePages_Total /proc/meminfo | awk '{print $2}') || true
+if [ "$hugepage" -eq "0" ]; then
+        disabled=1
+        echo "INFO: Hugepage is disabled"
+
+        update_grub_cmdline "hugepages=$NR_HUGEPAGE"
+        update_grub_cmdline "default_hugepagesz=1G"
+        if ! grep -q "^vm.nr_hugepages" /etc/sysctl.conf; then
+                echo "vm.nr_hugepages=$NR_HUGEPAGE" >> /etc/sysctl.conf
+        fi
+else
+        echo "  OK: Hugepage is enabled"
+fi
+
+# Ensure SR-IOV is enabled
+# --------------------------
+if ! lsmod | grep -q vfio-pci; then
+        echo 'vfio-pci' | tee /etc/modules-load.d/sriov.conf 1> /dev/null
+        systemctl restart systemd-modules-load.service
+fi
+
+if ! check_vf; then
+        cp "$(cd "$(dirname "$0")" && pwd)/sriov.sh" /usr/bin/sriov.sh
+        tee "/etc/systemd/system/sriov.service" > /dev/null << EOF
+[Unit]
+Description=Create VFs on $SRIOV_PF
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/sriov.sh -b $SRIOV_PF
+
+[Install]
+WantedBy=default.target
+EOF
+        systemctl daemon-reload
+        systemctl enable --now sriov.service &> /dev/null
+        echo "      Configured VFs on $SRIOV_PF"
+fi
+
+if check_vf; then
+        echo "  OK: SR-IOV is enabled on $SRIOV_PF"
+else
+        disabled=1
+fi
+
+if [ "$grub_updated" -eq 1 ]; then
+        update-grub &> /dev/null
+        echo "HINT: Grub was updated, reboot for changes to take effect"
+        exit 1
+fi
+
+exit $disabled
diff --git a/comac/scripts/sriov.sh b/comac/scripts/sriov.sh
new file mode 100755
index 0000000..a478541
--- /dev/null
+++ b/comac/scripts/sriov.sh
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+# Copyright (c) 2019 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# copied from https://github.com/clearlinux/cloud-native-setup/blob/master/clr-k8s-examples/9-multi-network/systemd/sriov.sh
+
+set -o errexit
+set -o pipefail
+set -o nounset
+set -x
+
+OPTIND=1
+bind="false"
+
+while getopts ":b" opt; do
+	case ${opt} in
+	b)
+		bind="true"
+		;;
+	\?)
+		echo "Usage: sriov.sh [-b] ens785f0 ens785f1 ..."
+		echo "-b	Bind to vfio-pci"
+		exit
+		;;
+	esac
+done
+shift $((OPTIND - 1))
+
+setup_pf() {
+	local pf=$1
+	local num_vfs
+
+	echo "Resetting PF $pf"
+	echo 0 | tee /sys/class/net/"$pf"/device/sriov_numvfs
+	num_vfs=$(cat /sys/class/net/"$pf"/device/sriov_totalvfs)
+	echo "Enabling $num_vfs VFs for $pf"
+	echo "$num_vfs" | tee /sys/class/net/"$pf"/device/sriov_numvfs
+	ip link set "$pf" up
+	sleep 1
+}
+
+vfio_bind() {
+	local pf=$1
+	local pfpci
+	local num_vfs
+
+	pfpci=$(readlink /sys/devices/pci*/*/*/net/"$pf"/device | awk '{print substr($1,10)}')
+	num_vfs=$(cat /sys/class/net/"$pf"/device/sriov_numvfs)
+
+	local vfpci
+	local mac
+	for ((idx = 0; idx < num_vfs; idx++)); do
+                #Some drivers does not support state change of VF
+		#ip link set dev $pf vf $idx state enable
+
+		local vfn="virtfn$idx"
+		# shellcheck disable=SC2012
+		vfpci=$(ls -l /sys/devices/pci*/*/"$pfpci" | awk -v vfn=$vfn 'vfn==$9 {print substr($11,4)}')
+		# Capture and set MAC of the VF before unbinding from linux, for later use in CNI
+		mac=$(cat /sys/bus/pci*/*/"$vfpci"/net/*/address)
+		ip link set dev "$pf" vf $idx mac "$mac"
+		# Bind VF to vfio-pci
+		echo "$vfpci" >/sys/bus/pci*/*/"$vfpci"/driver/unbind
+		echo "vfio-pci" >/sys/devices/pci*/*/"$vfpci"/driver_override
+		echo "$vfpci" >/sys/bus/pci/drivers/vfio-pci/bind
+	done
+}
+
+for pf in "$@"; do
+	setup_pf "$pf"
+        if [ $bind ]; then vfio_bind "$pf"; fi
+done